/* Grid
   ========================================================================== */

// 12-column grid
$column: 8.3333333333%;

@mixin g-width($number) {
  width: #{ $number * $column };
}

@mixin g-offset($number) {
  margin-left: #{ $number * $column };
}

.column {
  width: 100%;
  margin-bottom: 0;

  @media screen and (min-width: 48em){
    width: 50%;
    float: left;
    padding: 0 15px 0 0;
  }
}

.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10,
.col-11 {
  width: 100%;
}

@media screen and (min-width: $desktop) {
  .off-1 {
    @include g-offset(1);
  }

  .off-2 {
    @include g-offset(2);
  }

  .col-2 {
    @include g-width(2);
  }
  
  .col-3 {
    @include g-width(3);
  }

  .col-4 {
    @include g-width(4);
  }

  .col-5 {
    @include g-width(5);
  }

  .col-6 {
    @include g-width(6);
  }

  .col-7 {
    @include g-width(7);
  }

  .col-8 {
    @include g-width(8);
  }

  .col-9 {
    @include g-width(9);
  }

  .col-10 {
    @include g-width(10);
  }

  .col-11 {
    @include g-width(11);
  }

  .col-2,
  .col-3,
  .col-4,
  .col-5,
  .col-6,
  .col-7,
  .col-8,
  .col-9 {
    float: left;
  }
}